<section id="sgpm-popups-panel" class="sgpm-panel">
	<?php if (isset($settings['user']) && $settings['user']['isActive']): ?>

		<?php if (count($settings['popups']) > 3): ?>
		<div class="sgpm-refresh-wrap-top">
			<a class="sgpm-btn sgpm-btn--green-meadow" href="<?php echo url('admin/config/content/popup_maker', array('query' => array('task' => 'refreshPopups'))) ?>">
				<svg fill="#ffffff" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
					<path d="M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z"/>
					<path d="M0 0h24v24H0z" fill="none"/>
				</svg>
				Refresh popups list
			</a>
		</div>
		<?php endif; ?>

		<?php if(isset($settings['popups']) && !empty($settings['popups'])): ?>
			<div class="sgpm-popup-list">
				<table>
					<?php foreach ($settings['popups'] as $popupId => $popup): ?>
						<tr>
							<td>
								<span class="sgpm-popup-title sgpm-red"><?php echo $popup['title']; ?></span>
								<div class="sgpm-popup-list-actions">
									<a class="sgpm-fab-btn" href="<?php echo url('admin/config/content/popup_maker', array('query' => array('popupId' => $popupId))); ?>" title="Edit">
										<svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
											<path d="M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"/>
											<path d="M0 0h24v24H0z" fill="none"/>
										</svg>
									</a>
									<form action="<?php echo url('admin/config/content/popup_maker', array('query' => array('task' => 'updateStatus'))) ?>" method="post" >
										<input type="hidden" name="_csrf_token" value="<?php echo $token; ?>" />
										<input type="hidden" name="id" value="<?php echo $popupId; ?>" />

										<?php if ($settings['popupSettings'][$popupId]['enabled'] === 1): ?>
											<button name="sgpm-disable-popup" value="disable" class="sgpm-btn sgpm-btn--red" >Disable</button>
										<?php else: ?>
											<button name="sgpm-enable-popup" value="enable" class="sgpm-btn sgpm-btn--green" >Enable</button>
										<?php endif; ?>
									</form>
								</div>
							</td>
							<td>
								<?php if ($settings['popupSettings'][$popupId]['enabled']): ?>
									<span class="sgpm-popup-status sgpm-green">Enabled</span>
								<?php else: ?>
									<span class="sgpm-popup-status sgpm-red">Disabled</span>
								<?php endif; ?>
							</td>
						</tr>
					<?php endforeach; ?>
				</table>
			</div>
		<?php else: ?>
		<h3 class="sgpm-info-about-not-popups">
			Dear <span class="sgpm-black"><?php echo $settings['user']['firstname'] ?></span> you have no popups created yet!
		</h3>
		<h4>
			Click <a href="<?php echo SGPM_SERVICE_URL.'dashboard'; ?>" title="Click here to create a new popup" target="_blank">here</a>
			to create a new popup, after that, click on the <span class="sgpm-red">"Refresh popups list"</span> button.
		</h4>
		<?php endif ?>

		<div class="sgpm-refresh-wrap-bottom">
			<a class="sgpm-btn sgpm-btn--green-meadow" href="<?php echo url('admin/config/content/popup_maker', array('query' => array('task' => 'refreshPopups'))) ?>">
				<svg fill="#ffffff" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
					<path d="M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z"/>
					<path d="M0 0h24v24H0z" fill="none"/>
				</svg>
				Refresh popups list
			</a>
		</div>

	<?php else: ?>
		<h3 class="sgpm-info-about-account-activate">
			Dear <span class="sgpm-black"><?php echo $settings['user']['firstname'] ?></span> you must activate your Popup Maker account before use your popups.
		</h3>
		<h4 class="sgpm-info-about-activation-url">
			We have sent you an activation email for your Popup Maker account. Please, check and activate.
		</h4>
	<?php endif; ?>
</section>